Sunday, March 4, 2007

How to switch between python2.4 and python2.5 on Ubuntu

The default version of python on Edgy is python2.4 and on Feisty is python2.5 If you installed both versions of python and want to switch between them you have once to type this in a terminal:
sudo update-alternatives --install /usr/bin/python python /usr/bin/python2.4 10
sudo update-alternatives --install /usr/bin/python python /usr/bin/python2.5 1
Afterwards you can choose at any time your standard python version by:
sudo update-alternatives --config python


  1. I think, spe would be a great python editor, but:

    It would be great to incorporate the 1.0.8 winpdb as the debugger plugin in spe. On ubuntu the 1.0.6 version is unusable as stated many times in the forums.

    The spe install (sudo python install) on ubuntu simply does not produce a working spe applitation on ubuntu. Wrong file permissions, cannot read default skin for example.

    Why oh why?

  2. I am now working on my ubuntu myself and I am trying to fix as much issues as possible. Winpdb is fixed. I suggest you take SPE from subversion (instructions are on this blog). You can just run it from a folder in your home directory. No need for install. But be sure you clean your computer from previous installations of spe, kiki and wxglade.

  3. Hello Stani,
    Nice tools you have developed, but your web adresses, and some others only lead to a google search. I don't know if that is intended but it was quite hard to find this site.

  4. Jonny,
    I am aware of that. It is just a practical joke until I have a new webhost. Anyway is already for long time the standard url. You can correct webmastsers if they use another one.


  5. SPE looks really good. My long time favorite editor is scite, so i was quite interested to see SPE in action and I liked a lot of what i saw.

    However the really big thing missing is the drag and drop as seite does that. The wxPython demo shows that is possible. So I don't quite understand why it is turned off.

  6. Drag and drop is only available with wxPython2.8. As SPE is still supporting wxPython2.6 and the custom drag and drop implementation on Ubuntu was not stable, I had to disable it. If you file a feature request, I might add a conditional check if wxPython2.8 is installed and use drag and drop if it is.


  7. Regarding drag and drop, I looked at the StyledTextCtrl demo in wxPhyton2.6 (on Ubuntu Edgy) which did support drag and drop.
    Anyway, I'm looking for a good scintilla based editor running natively on the Mac and a wxPython based solution should be able to do that.
    So whatever is needed, I would like that!!
    Note, so far I didn't get it to go on my Mac, but did try the svn version. Need an svn client first ;-)

  8. I may be using a dated copy of Ubuntu but shouldn't the binaries to link 2.4/2.5 be located in /usr/bin, not /usr/lib?

  9. @anonymous
    I'll look into that

    You're right. I fixed it in my post.

  10. Is sth wrong with SVN or is it my-side issue?

    Regars, vArDo

    PS. Thanks for developing SPE. Great IDE. :)

  11. SVN works here without any problem.


Filter by topic: spe, python, ubuntu